Guide:

We would highly recommend the use of the latest version of the following browsers:

  • Firefox 52 ESR 

  • Firefox 58+ (Quantum+)

  • Chrome 55+/63+

  • Edge 15+

  • Internet Explorer 11+

Did this answer your question?